JPEGJUDGE(1)

NAME
jpegjudge - guess jpeg picture quality

SYNOPSIS
jpegjudge [ -V ]

jpegjudge [ -b ] file ...

DESCRIPTION
Jpegjudge reads each argument and attempts to guess the quality with which it was saved. Currently, only a rough indicator is calculcated, ranging from 0 (lowest quality) to 1000 (highest quality), an extension to other formats would be straightforward, but isn't planned.

It can read all pictures the IJG jpeg library can read, i.e. normal and progressive jpeg's.

  OPTIONS

-b  Display only quality indicator, suppress other information (filenames).

-h, --help
    Display short summary of options.

-V, --version
    Display version number and exit.

BUGS
It should be possible to judge pictures stored in non-lossy formats, too, since conversion to jpeg may influence the measurement.

The quality indicator is non-linear, and could be much better.

The algorithm to calculate the quality was made up in 10 minutes, after staring at various histograms.

ACKNOWLEDGEMENTS
This program contains code from the IJG jpeg software.